function onCreate()
   	addCharacterToList("legotails", "dad")
end

function onBeatHit()
	if curBeat == 192 then
		setProperty('dad.angularVelocity', 75)
		setProperty('boyfriend.angularVelocity', 75)
		setProperty('gf.angularVelocity', 75)
		doTweenAngle('camhudtween1', 'camHUD', -360, 10, 'linear')
	end
end

function onTweenCompleted(name)
	if name == "camhudtween1" then
		doTweenAngle('camhudtween2', 'camHUD', getProperty('camHUD.angle') - 360, 10, 'linear')
	end
end